## altos 1.9.14

=== debian/changelog ===
altos (1.9.14-1) unstable; urgency=medium

  [ Keith Packard ]
  * drivers/cc1200: Don't disable cc1200 interrupts ever
  * altos/telefiretwo-v0.2: Get things building again
  * altos/drivers: Use spi duplex to fetch register values
  * altos/drivers: Increase LCO receive timeout to 20ms
  * doc: Release notes for 1.9.14
  * Version 1.9.14

  [ Bdale Garbee ]
  * ChangeLog for releas 1.9.14

 -- Bdale Garbee <bdale@gag.com>  Thu, 02 Feb 2023 12:55:20 -0700

altos (1.9.13-2) unstable; urgency=medium

  * drop the suggests on slim | gdm, it's just no useful

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 15:11:04 -0700
