=== src/detherm/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=detherm-v1.0
include $(TOPDIR)/stmf0/Makefile-flash.defs
