=== src/easymini-v1.0/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=easymini-v1.0
include $(TOPDIR)/lpc/Makefile-flash.defs
