=== src/stm-demo/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=stm-demo
include $(TOPDIR)/stm/Makefile-flash.defs
